Bug 428534 - Corrupted display on KDE4LiveCD (20080109)
Corrupted display on KDE4LiveCD (20080109)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: KDE4Live
  Show dependency treegraph
 
Reported: 2008-01-12 18:19 EST by Brad Hards
Modified: 2008-03-04 05:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 05:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Hards 2008-01-12 18:19:13 EST
Description of problem:
When booting the rawhide-KDE4-i686-20080109.4.iso live CD on an Dell Optiplex 
SX270, the display is fine until booting into the main desktop (i.e. the 
KDE "loading" sequence display is good), but then the desktop display is 
corrupted.

It is somewhat difficult to describe the corruption - the screen contents are 
vaguely visible at about the right size, but not well defined. For example, a 
dialog box can just be made out, but most (perhaps 80%+?) of the pixels are 
corrupted, and while I can just make out the dialog buttons, all the text is 
unreadable.


Version-Release number of selected component (if applicable):
Unknown - as used on subject live CD.

How reproducible:
Always.

Steps to Reproduce:
1. Boot liveCD
2. Observe display through KDE startup - OK
3. Observe display at KWin startup.
  
Actual results:
Display corruption.

Expected results:
Nice clear display

Additional info:
The same machine is working fine with a self-compiled KDE4 (from about a week 
prior to KDE4 release), using xorg-x11-drv-i810-2.1.1.-7.fc8

The graphics hardware is Intel 82865G Integrated Graphics Controller (rev 02)

Sorry for the poor description of the corruption.
Comment 1 Matěj Cepl 2008-01-31 12:13:11 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

I think you can try to use your digital camera (if you have any) and try to make
a snapshot of the screen. Is it possible?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-03-03 15:57:38 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Brad Hards 2008-03-04 04:54:20 EST
Just close it - I can't get the required data (except for a photo of the 
corruption) on a live CD.
Comment 4 Matěj Cepl 2008-03-04 05:56:38 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.